Retrieve IntegrationConfig - m3ter Documentation
Retrieve IntegrationConfig
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationconfigs/entity/{entityType} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs/entity/{entityType}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs/entity/{entityType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
200
{
"id": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"status": "<unknown>",
"destination": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"dtStarted": "2023-11-07T05:31:56Z",
"dtCompleted": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"error": "<string>",
"url": "<string>",
"externalId": "<string>",
"parentIntegrationRunId": "<string>",
"replayedFromIntegrationRunId": "<string>"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Authorization
- Authorization: string, required - M3ter supports machine-to-machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: string, required - UUID of the organization.
- entityType: string, required - The entity to retrieve the configuration for.
Query Parameters
- entityId: string - UUID of the entity to retrieve IntegrationConfigs for.
- destination: string - Destination type to retrieve IntegrationConfigs for.
- destinationId: string - UUID of the destination to retrieve IntegrationConfigs for.
- nextToken: string - nextToken for multi-page retrievals.
- pageSize: integer - Number of configs to retrieve per page, Required range:
1 <= x <= 200.
Response
200 application/json
- Returns the IntegrationConfig:
- id: string, required - The UUID of the entity.
- entityType: string, required - The type of entity the integration run is for.
- entityId: string, required - The unique identifier (UUID) of the entity the integration run is for.
- status: any, required.
- destination: string, required - The destination system for the integration run.
- version: integer - The version number, on initial create it's set as 1.
- dtCreated: string - Created datetime in ISO-8601 format.
- dtLastModified: string - Last modified datetime in ISO-8601 format.
- createdBy: string - The ID of the creator.
- lastModifiedBy: string - The ID of the last modifier.
- dtStarted: string - The datetime the integration run was started.
- dtCompleted: string - The datetime the integration was completed.
- destinationId: string - Identifier of the destination.
- error: string - Error description if any occurred.
- url: string - URL of the entity in the destination system.
- externalId: string - The external ID in the destination system.
- parentIntegrationRunId: string - ID of the parent integration run.
- replayedFromIntegrationRunId: string - ID of the integration run this was replayed from.